[linux-dvb] Problem with dvb_ttpci

alexw alexw at undercover.mine.nu
Thu Nov 8 08:43:25 CET 2007


On Wednesday 07 November 2007 22:19:54 Trent Piepho wrote:
> On Wed, 7 Nov 2007, VDR User wrote:
> > With recent copies of fresh v4l I started getting the following error
> > upon trying to load drivers for my nexus-s:
> >
> > dvb_ttpci: Unknown symbol ttpci_eeprom_parse_mac
> >
> > After searching on google I found that this problem existed once
> > before and here is a patch that reflects the fix
>
> Did you remember to run depmod after installed new modules?  The
> ttpci-eeprom module should be automatically loaded by modprobe.
>
> _______________________________________________
> linux-dvb mailing list
> linux-dvb at linuxtv.org
> http://www.linuxtv.org/cgi-bin/mailman/listinfo/linux-dvb

Hi,

I did experience the same issue. When you are upgrading the v4l source from 
repository do not forget to verify that the old .config is still valid. 
Unfortunately there is no make oldconfig option available. the only way to 
enable ttpci_eeprom config is to do a make menu config and to deselect ttpci 
support and select it back. If you compare the 2 .config file you will see 
that the ttpci_eeprom is now selected.

Is it possible to create a "oldconfig" label to check the .config file 
integrity? (in make_kconfig.pl or make_myconfig.pl)

In the past it was working, I don't know why it was dropped.

Cheers,

Alex



More information about the linux-dvb mailing list